Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class StringValueMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData
                  org.jboss.beans.metadata.plugins.StringValueMetaData

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode, ValueMetaData

public class StringValueMetaData
extends AbstractTypeMetaData

String value.

Version:
  $Revision: 1.15 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`configurator, type`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, toString`

Constructor Summary
`StringValueMetaData()` Create a new string value
`StringValueMetaData(String value)` Create a new string value

Method Summary
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.
`void` | `setValue(Object value)`
`void` | `setValue(String value)` Set the value

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`getClassInfo, getType, setConfigurator, setType, toString, visit`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getChildren, getUnderlyingValue, getValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Constructor Detail

### StringValueMetaData

    public StringValueMetaData()

  Create a new string value

### StringValueMetaData

    public StringValueMetaData(String value)

  Create a new string value

Parameters:
  `value` - the value

Method Detail

### setValue

    public void setValue(String value)

  Set the value

  Parameters:
    `value` - the value

### setValue

    public void setValue(Object value)

  Overrides:
    `setValue` in class `AbstractValueMetaData`

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Description copied from interface: `ValueMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ValueMetaData`
  Overrides:
    `getValue` in class `AbstractValueMetaData`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.